CREATE PROCEDURE [dbo].[GetEmptyJobRowData] @DOCKCD VARCHAR(MAX), @DATEFROM VARCHAR(15), @DATETO VARCHAR(15), @C INT OUTPUT
AS
BEGIN

DECLARE @PHYDOCK TABLE (DOCKCD VARCHAR(4))
DECLARE @DOCK VARCHAR(5)

DECLARE CURR_1 CURSOR FOR
	SELECT s FROM [dbo].fnSplitString(@DOCKCD,';')
OPEN CURR_1
FETCH NEXT FROM CURR_1 INTO @DOCK
	WHILE @@FETCH_STATUS = 0
	BEGIN
	   INSERT INTO @PHYDOCK
		SELECT DISTINCT RCVCOMPDOCKCD from TB_T_TLMS_EMPTY_JOB_CARD 
 			where CONCTODRTEDATE >= @DATEFROM AND CONCTODRTEDATE <= @DATETO
				AND RCVCOMPDOCKCD IN 
				(
					(
						SELECT PHYSICAL_DOCKCD A FROM TB_M_PHYSICAL_DOCK_MAPPING
							WHERE LOGICAL_DOCKCD = @DOCK OR PHYSICAL_DOCKCD = @DOCK
					) UNION
					(
						SELECT LOGICAL_DOCKCD A FROM TB_M_PHYSICAL_DOCK_MAPPING 
							WHERE PHYSICAL_DOCKCD IN (SELECT PHYSICAL_DOCKCD FROM TB_M_PHYSICAL_DOCK_MAPPING
														WHERE LOGICAL_DOCKCD = @DOCK) 
								OR PHYSICAL_DOCKCD = @DOCK
					)
				)
		INSERT INTO @PHYDOCK VALUES(@DOCK)
	FETCH NEXT FROM CURR_1 INTO @DOCK
	END
CLOSE CURR_1
DEALLOCATE CURR_1

SELECT  CONCTOCRTE, 
		CONCTOCRTETRP, 
		CONVERT(DATE,CONCTODRTEDATE) AS [CONCTODRTEDATE2], 
		A.RTEGRPCD, 
		A.RUNSEQ, 
		CONVERT(DATE,A.RTEDATE) AS [RTEDATE2],
		SUPPCD,
		SUPPPLANTCD,
		SUPPDOCKCD,
		NUMPALLETE,
		ORDDATE,
		ORDSEQ,
		RCVCOMPDOCKCD,
		B.DOORCD
FROM	TB_T_TLMS_EMPTY_JOB_CARD A
INNER JOIN TB_T_DCL_TLMS_DRIVER_DATA B ON B.RTEGRPCD = A.CONCTOCRTE AND B.RUNSEQ = A.CONCTOCRTETRP AND B.RTEDATE = A.CONCTODRTEDATE AND B.DOCKCD = A.RCVCOMPDOCKCD
WHERE A.RCVCOMPDOCKCD IN (SELECT DISTINCT DOCKCD FROM @PHYDOCK) AND A.CONCTODRTEDATE >= @DATEFROM AND A.CONCTODRTEDATE <= @DATETO
ORDER BY CONCTOCRTE ASC, CONCTOCRTETRP ASC, [CONCTODRTEDATE2] ASC, DOORCD ASC, SUPPCD ASC

SELECT @C = @@ROWCOUNT
END

